<?php
declare(strict_types=1);

namespace Catequil\Webshop;

use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ConfigAggregator\PhpFileProvider;
use Laminas\ServiceManager\AbstractFactory\ReflectionBasedAbstractFactory;
use Mezzio\Application;
use Mezzio\Container\ApplicationConfigInjectionDelegator;

return (new ConfigAggregator([
    \Gath\ConfigProvider::class,
    \Gath\Product\ConfigProvider::class,
    \Catequil\Overseas\ConfigProvider::class,
    \Catequil\Core\ConfigProvider::class,
    ConfigProvider::class,
    new PhpFileProvider(__DIR__ . '/autoload/{{,*.}global,{,*.}local}.php'),
    new ArrayProvider([
        'development' => true,
        'debug' => true,
        'dependencies' => [
            'delegators' => [
                Application::class => [
                    ApplicationConfigInjectionDelegator::class,
                ],
            ],
        ],
        'hydrators' => [
            'abstract_factories' => [
                ReflectionBasedAbstractFactory::class,
            ],
        ],
    ]),
]))->getMergedConfig();