<?php
declare(strict_types=1);

namespace Catequil\Webshop\Hydrator;

use Catequil\Core\Hydrator\DefaultHydrator;
use Laminas\Hydrator\Filter\FilterComposite;
use Laminas\Hydrator\Filter\MethodMatchFilter;

/**
 * Class WebshopHydrator
 *
 * @package Catequil\Webshop\Hydrator
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-webshop
 */
final class WebshopHydrator extends DefaultHydrator
{
    public function __construct()
    {
        parent::__construct();

        $filter = new FilterComposite();
        $filter->addFilter('id', new MethodMatchFilter('getId', false), FilterComposite::CONDITION_OR);
        $filter->addFilter('domain', new MethodMatchFilter('getDomain', false), FilterComposite::CONDITION_OR);

        $this->addFilter('includes', $filter, FilterComposite::CONDITION_AND);
    }
}