<?php
declare(strict_types=1);

namespace Catequil\Webshop\Model;

use DateTime;

/**
 * Interface WebshopOrderInterface
 *
 * @package Catequil\Webshop\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-webshop
 */
interface WebshopOrderInterface
{
    public function getWebshop(): WebshopInterface;
    public function getId(): int;
    public function getDetail(string $detail, mixed $default = null): mixed;
    public function getDetails(): array;
    public function getItems(): array;
    public function getShippingMethod(): string;
    public function getStatus(): string;
    public function getUpdatedAt(): DateTime;
    public function getUrl(): string;
    public function update(): void;
}