<?php
declare(strict_types=1);

namespace Catequil\Webshop\Repository;

use Catequil\Webshop\Model\WebshopInterface;
use Doctrine\ORM\EntityRepository;

/**
 * Class WebshopRepository
 *
 * @package Catequil\Webshop\Repository
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-webshop
 *
 * @method WebshopInterface|null find(int $id);
 */
final class WebshopRepository extends EntityRepository
{
    public function findByDomain(string $domain): ?WebshopInterface
    {
        return $this->findOneBy(['domain' => $domain]);
    }
}