<?php
declare(strict_types=1);

namespace Catequil\Webshop\Service;

use Catequil\Webshop\Model\WebshopInterface;
use Catequil\Webshop\Repository\WebshopOrderRepository;

/**
 * Interface WebshopServiceInterface
 *
 * @package Catequil\Webshop\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-webshop
 */
interface WebshopServiceInterface
{
    public function orders(): WebshopOrderRepository;

    public function findById(int $id): ?WebshopInterface;
    public function findByDomain(string $domain): ?WebshopInterface;
}